---
lang: en
title: 'API docs: authentication.strategyadapter._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.authentication.strategyadapter._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [StrategyAdapter](./authentication.strategyadapter.md) &gt; [(constructor)](./authentication.strategyadapter._constructor_.md)

## StrategyAdapter._constructor_

Constructs a new instance of the `StrategyAdapter` class

<b>Signature:</b>

```typescript
constructor(strategy: Strategy);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  strategy | <code>Strategy</code> | instance of a class which implements a passport-strategy<!-- -->@[Passport](http://passportjs.org/) |


